/************************************************************************************************
* Copyright (c) 2010 Linkcom Corporation, All Rights Reserved
* THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF Linkcom CORPORATION
*
* File: "Types.h"
* Author: Carlward
*
* Description: 
*
* =================================
* 
* $Date$
* $Author$
* $LastChangedRevision$
* 
* =================================
*
************************************************************************************************/

#pragma once



#pragma warning(disable : 4503)
#pragma warning(disable : 4530)



#include <map>
#include <string>
#include <list>
#include <vector>
#include <algorithm>
#include <cassert>



// Primary variable types
#define CONST								const
#define STATIC								static

//typedef void									VOID;
typedef VOID*								PVOID;
//typedef bool									BOOL;
typedef char									S8;
typedef unsigned char							U8;
typedef short									S16;
typedef unsigned short							U16;
typedef long									S32;
typedef unsigned long							U32;
typedef __int64								S64;
typedef unsigned __int64						U64;
typedef float									FLOAT;
typedef double								DOUBLE;

typedef S8*									PS8;
typedef U8*									PU8;
typedef S16*									PS16;
typedef U16*									PU16;
typedef S32*									PS32;
typedef U32*									PU32;



#if (defined(UNDER_CE) && !defined(_DEBUG))
#define CTRACE
#define WTRACE
#else
#define CTRACE								printf
#define WTRACE								wprintf
#endif

#define GetArraySize(_Array_)				(sizeof(_Array_) / sizeof((_Array_)[0]))
#define MIN(a, b) 								((a) <= (b) ? (a) : (b))
#define MAX(a, b) 							((a) >= (b) ? (a) : (b))



#ifdef VARCHITECTURE_EXPORTS
#define D_vArchitecture_DLL_API				_declspec (dllexport)
#else
#define D_vArchitecture_DLL_API				_declspec (dllimport)
#endif



