/************************************************************************************************
* Copyright (c) 2010 Carlward, All Rights Reserved
* THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF Carlward
*
* File: "vLanguage.h"
* Author: Carlward
*
* Description: 
*
* =================================
* 
* $Date$
* $Author$
* $LastChangedRevision$
* 
* =================================
*
************************************************************************************************/

#pragma once
#include "vBase.h"



/**********************************************************
** Class:				vLanguage
** Description:		ﴦ
** Design document:	[]
** Author:			Carlward
** Date:				2010-03-30
**********************************************************/
class D_vArchitecture_DLL_API vLanguage : public vBase
{
	public:
		/**********************************************************
		** Function:		Init
		** Description:	
		** Input:			NONE
		** Output:		NONE
		** Return:		TRUE if success, FALSE else
		** Author:		Carlward
		** Date:			2010-03-30
		**********************************************************/
		BOOL Init(CONST wchar_t *ipFilePath, CONST wchar_t *ipLangName);

		/**********************************************************
		** Function:		LoadLanguage
		** Description:	
		** Input:			NONE
		** Output:		NONE
		** Return:		TRUE if success, FALSE else
		** Author:		Carlward
		** Date:			2010-03-30
		**********************************************************/
		BOOL LoadLanguage(CONST wchar_t *ipLangName);

		/**********************************************************
		** Function:		GetMaxItem
		** Description:	ȡַ
		** Input:			NONE
		** Output:		NONE
		** Return:		
		** Author:		Carlward
		** Date:			2010-03-30
		**********************************************************/
		U16 GetMaxItem(VOID);

		/**********************************************************
		** Function:		GetString
		** Description:	ַͨȡӦַ
		** Input:			iResID: ַID
		** Output:		NONE
		** Return:		ַ
		** Author:		Carlward
		** Date:			2010-03-30
		**********************************************************/
		CONST wchar_t *GetString(U16 iResIdx);
		
		/**********************************************************
		** Function:		GetStringFromIdxString
		** Description:	ַͨȡӦַ
		** Input:			iResID: ַID
		** Output:		NONE
		** Return:		ַ
		** Author:		Carlward
		** Date:			2010-03-30
		**********************************************************/
		CONST wchar_t *GetStringFromIdxString(CONST wchar_t *ipIdxString);

		/**********************************************************
		** Function:		GetLangName
		** Description:	ȡǰԵļ
		** Input:			NONE
		** Output:		NONE
		** Return:		ļ
		** Author:		Carlward
		** Date:			2010-03-30
		**********************************************************/
		CONST wchar_t *GetLangName(VOID);

	public:
		vLanguage();
		~vLanguage();

	private:
		VOID *m_pData;
};


